Skip to main content
GET
/
v2
/
chainlist
Chainlist
curl --request GET \
  --url https://api.etherscan.io/v2/chainlist
import requests

url = "https://api.etherscan.io/v2/chainlist"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.etherscan.io/v2/chainlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "comments": "List of API endpoints maintained by Etherscan EAAS. Available Status codes are (0)=Offline, (1)=Ok, (2)=Degraded",
  "totalcount": 67,
  "result": [
    {
      "chainname": "Ethereum Mainnet",
      "chainid": "1",
      "blockexplorer": "https://etherscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=1",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Sepolia Testnet",
      "chainid": "11155111",
      "blockexplorer": "https://sepolia.etherscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=11155111",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Base Mainnet",
      "chainid": "8453",
      "blockexplorer": "https://basescan.org/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=8453",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Polygon Mainnet",
      "chainid": "137",
      "blockexplorer": "https://polygonscan.com/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=137",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Arbitrum One Mainnet",
      "chainid": "42161",
      "blockexplorer": "https://arbiscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=42161",
      "status": 1,
      "comment": ""
    }
  ]
}

Query Parameters

No parameters required.
{
  "comments": "List of API endpoints maintained by Etherscan EAAS. Available Status codes are (0)=Offline, (1)=Ok, (2)=Degraded",
  "totalcount": 67,
  "result": [
    {
      "chainname": "Ethereum Mainnet",
      "chainid": "1",
      "blockexplorer": "https://etherscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=1",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Sepolia Testnet",
      "chainid": "11155111",
      "blockexplorer": "https://sepolia.etherscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=11155111",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Base Mainnet",
      "chainid": "8453",
      "blockexplorer": "https://basescan.org/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=8453",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Polygon Mainnet",
      "chainid": "137",
      "blockexplorer": "https://polygonscan.com/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=137",
      "status": 1,
      "comment": ""
    },
    {
      "chainname": "Arbitrum One Mainnet",
      "chainid": "42161",
      "blockexplorer": "https://arbiscan.io/",
      "apiurl": "https://api.etherscan.io/v2/api?chainid=42161",
      "status": 1,
      "comment": ""
    }
  ]
}